package cn.pluss.platform.util;

import java.util.List;
import java.util.Map;

/**
 * 表格生成
 * @author Djh
 */
public interface ExcelInfo<T> {

    /**
     * 生成数据行
     * @param rowData   一行的实体数据
     * @return 返回一行的list数据
     */
    default List<Object> getRowData(T rowData) {
        return null;
    };

    /**
     * 生成数据行map
     * @param rowData   一行的实体数据
     * @return 返回一行的list数据
     */
    default Map<String, Object> getRowDataMap(T rowData) {
        return null;
    };
}
